*{
    margin: 0;
    padding: 0;
    font-family:Arial, Helvetica, sans-serif;
    box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}
 @font-face {
                font-family: myDescFont;
                src: url(Fonts/HoneyScriptLight.ttf);
            }

            @font-face{
                font-family: myLogoFont;
                src:url(Fonts/HoneyScriptLight.ttf)
            }
body{
    background: #080808;
    color: #fff;
    min-height: 100vh;
    
}

#header{
    width: 100%;
    height: 100vh;
    background-image: url(Images/IMG-20220624-WA0019.jpg);
    background-size: cover;
    background-position: center;
}

.container{
    padding: 10px 10%;
}

.logo{
    width: 100px;
    font-size: 40px;
    margin-right: 30px;
    font-family: myLogoFont; 
    
}
nav{
    display: flex;
    align-items:end;
    justify-content:flex-start; 
  
        
}

nav ul{
   /* width: 100%;
    list-style: none;
    display: flex;
    justify-content: flex-start;
    align-items: center;*/
}

nav ul li{
  display: inline-block;
  list-style: none;
  margin: 10px 20px;

  /*height: 50px;*/
}

nav ul li a{
    color:navy;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}

nav ul li a::after{
    content: '';
    width: 0;
    height: 1px;
    background: navy;
    position: absolute;
    left: 0;
    bottom: -1px;   
    transition: 0.5s; 
}
nav ul li a:hover::after{
    width: 100%;
}

nav li:first-child{
    margin-right: auto;
}

.sidebar{
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 250px;
    z-index: 999;
    background-color: hsla(0, 0%, 67%, 0.2);
    backdrop-filter: blur(10px);
    display: none;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    
}

.sidebar li{
    width: 100%;
}

.sidebar a{
    width: 100%;
}
.header_text{
    margin-top: 10%;
    font-size: 30px; 
    
}

.header_text h1{
    margin-top: 20px;
    font-size: 60px;
     
}

#personal{
    padding: 40px 0;
    color: #ababab;
}
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap:wrap;
   
}

.personal-col-1{
    flex-basis: 0%;
   
}
.personal-col-1 img{
    width: 100%;
   border-radius: 15px;
}
.personal-col-2{
    flex-basis: 100%;
}

.subtitle{
    font-size: 60px;
    font-weight: 600;
    color: #fff;
    margin-bottom: 10px;
    font-family: myDescFont; 
}

.tab-titles{
    display: flex;
    margin: 20px 0 40px;
}

.tab-links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}

.tab-links::after{
    content: '';
    width: 0;
    height: 3px;
    background: rgb(177, 4, 4);
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;

}

.tab-links.active-link:after{
    width: 50%;
}

.tab-contents ul li{
    list-style: none;
    margin: 10px 0;
}
.tab-contents ul li span{
    color: #ff004f;
    font-size: 14px;
}

.tab-contents{
    display: none;
}
.tab-contents.active-tab{
    display: block;
}

/*
#works{
    padding: 30p 0;
}
.work-list{
display: grid;
grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
grid-gap: 40px;
margin-top: 50px;
}
*/

#portfolio{
    padding: 20px 0;
}
.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    grid-gap: 5px;
    margin-top: 10px;
}
/*Image library --*/
.container-img{
    max-width: 1224px;
    width: 90%;
    margin: auto;
    padding: 40px 0;
}
.photo-gallery{
    display: flex;
    gap: 5px;
    
}

.column{
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.photo img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
/*Image library --*/
.work{
    position: relative;
    overflow: hidden;
    
}
.work img{
    width: 100%;
    display: block; 
    transition: transform 0.5s;   
}

.layer{
    width: 100%;
    height: 0%;
    background: linear-gradient(rgba(0,0,0,0.3), rgba(0,0,0,0.3));
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
    transition: height 0.8s;
}
.layer h3{
    font-weight: 500;
    margin-bottom: 20px;
}

.work:hover img{
    transform: scale(1.2);
}
.work:hover .layer{
    height: 100%;
}

#footer{
    padding: 20px 0;
   
}
.container-footer{
    width: 100%;
    padding: 20px 30px 20px;
}
.socialIcons{
    display: flex;
    justify-content: center;    
    
}

.socialIcons a{
    text-decoration: none;
    padding: 10px;
    background-color: #fff;
    margin: 10px;
    border-radius: 50%;
}

.socialIcons a i{    
    color: black;

}

.footerNav{
    margin: 30px 0;

}
.footerNav ul{
    display: flex;
    justify-content: center;
    
}

.footerNav ul li a{
    color: white;
    margin: 20px;
    text-decoration: none;
    
    list-style-type: decimal;
    font-size: 1.3em;
    opacity: 0.7;
    transition: 0.5s;
}
.footerNav ul li a:hover{
    opacity: 1;
}

.copyrights{

    background-color: #121212;
    padding: 20px;
    text-align: center;
}
.socialIcons a:hover{
    background-color: #372f31;
    transition: 0.5s;
}
.socialIcons a:hover i{
    color: #fff;
    transition: 0.5s;
}
.popup-image{
    position: fixed;
    top: 0;
    left: 0;
    background: rgba(0,0,0,0.9);
    height: 100%;
    width: 100%;
    z-index: 100;
    display: none;
}
.popup-image span{
    position: absolute;
    top: 0;
    right: 10px;
    font-size: 40px;
    font-weight: bolder;
    color: #fff;
    cursor: pointer;
    z-index: 100;
}
 .popup-image img{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 750px;
    object-fit: cover;
}
.column-slider{
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.slider-wrapper{
    position: relative;
    max-width: 48rem;
    margin: 0 auto;
}

.slider{
    display: flex;
    /*aspect-ratio: 16 / 9;*/
    overflow-x: hidden;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
}

.slider img{
    flex: 1 0 100%;
    scroll-snap-align: start;
    object-fit: cover;
    width: 100%;
    height: 100%;
}
.slider-nav{
    display: flex;
    column-gap: 1rem;
    position: absolute;
    bottom: 1.25rem;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
}

.slider-nav a{
    width: 0.5rem;
    width: 0.5rem;
    /*border-radius: 50%;
    background-color: #0e0d0d;*/
    opacity: 0.75;
    transition: opacity ease 250ms;
}
.slider-nav a:hover{
   
    opacity: 1;
    
}
@media (min-width:767px){
    .hideOnBigScreen{
        display: none;
    }
}
@media (max-width: 768px){
    .photo-gallery{
        flex-direction: column;
    }

    .hideOnMobile{
        display: none;
    }

 .popup-image img{
    width: 95%;

    }
}